<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
$dataHoje=date("d/m/Y"); 

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}



	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
    case 'editarTZF':
      //setor achar significa poder ir para outra amostra
 
		//echo("ooooooo outra $amostraLonga= $amostraLong  <br>");
	    //////vai capturar os dados da amostra////////////////
	    $concluirCalculo="SIM";
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			$amostra=$resgenerica->fic_amostra;
			$especie=$resgenerica->esp_nome;
			$codEspecie=$resgenerica->esp_id;
	    endwhile;

		
		//acha o valor de rean 1 de qualquer maneira
        $user = new rean1();
		$user->extras_select =" where  rea_teste='TZF' AND rea_ficha=".$amostraLong ;
        $user->selecionaTudo($user);
        $contador=0;
		while ($res = $user->retornaDados()):
		    $contador++;
            $nSementes=$res->rea_duracao;
		    $concatenado1=$res->rea_campo60a;
		    $concatenado2=$res->rea_campo60b;
		    $concatenado3=$res->rea_campo60c;
		    $concatenado4=$res->rea_campo100;
            $dataPlantio=$res->rea_validade;
		    $dataTZF=$res->rea_datageralteste;
		    //$germinacao1Td=$res->rea_campo20a;//bandeja
            //campos gerais
			$reanLong=$res->rea_id;
			$analista=$res->rea_operador;
		endwhile;
        //aqui recupera os capos usando a funcao list
		list($c1,$c2,$c3,$c4,$c5,$c6,$c7,$c8,$c9,$c10)= explode("]", $concatenado1);
		list($c11,$c12,$c13,$c14,$c15,$c16,$c17,$c18,$c19,$c20)= explode("]", $concatenado2);
		list($c21,$c22,$c23,$c24,$c25,$c26,$c27,$c28,$c29,$c30)= explode("]", $concatenado3);
		list($c31,$c32,$c33,$c34,$c35,$c36,$c37,$c38,$c39,$c40,$c41,$solucao)= explode("]", $concatenado4);
        
 
		 $c18=$c1+$c8;
		 $c19=$c2+$c9;
		 $c20=$c40+$c11;
		 $c21=$c41+$c12;
		 $c27=round(($c1+$c2)/2);
		 $c28=round(($c40+$c41)/2);
		 //$c34=round((($c1-$c8)+($c2-$c9))/2);//viaveis - inviaveis  depois pega a media 
		 //$c35=round((($c40-$c11)+($c41-$c12))/2);//viaveis - inviaveis  depois pega a media 

        if($contador==0):
            //criando registro de GERM
            $reanNova = new rean1(array(
                'rea_ficha'=> $amostraLong,
                'rea_teste'=> 'TZF',
            ));
            $reanLong=$reanNova->inserir($reanNova);
			echo("Criou registro novo tz forragenria");
        endif;


	

      //aqui so vai ler os post se clicar em calcular gravar
	  
	  $limite=8;
      if (post('bt_calcularegravar') !== ""):
         echo '<h2>Calcular e gravar</h2>';
	     //passo 1 capturar os dados dos campos para isso vai usar o post
		 $reanLong=post('reanLong');
	     $vaiGravar="SIM"; 
		 //echo("reanlong=$reanLong<br>");
         //tabela da esquerda
		 
		 
		 
		 $solucao=post('solucao'); 
		 $nSementes =post('nSementes'); 
         $c1= post('c1'); 
         $c2= post('c2'); 
         $c3= post('c3'); 
         $c4= post('c4'); 
         $c5= post('c5'); 
         $c6= post('c6'); 
         $c7= post('c7'); 
         $c8= post('c8'); 
         $c9= post('c9'); 
         $c10= post('c10'); 
         $c11= post('c11'); 
         $c12= post('c12'); 
         $c13= post('c13'); 
         $c14= post('c14'); 
         $c15= post('c15'); 
         $c16= post('c16'); 
         $c17= post('c17'); 
         $c22= post('c22'); 
         $c23= post('c23'); 
         $c24= post('c24'); 
         $c25= post('c25'); 
         $c26= post('c26'); 
         $c30= post('c30'); 
         $c31= post('c31'); 
         $c32= post('c32'); 
         $c33= post('c33'); 
         $c34= post('c34'); 
         $c35= post('c35'); 
         $c36= post('c36'); 
         $c37= post('c37'); 
         $c38= post('c38'); 
         $c39= post('c39'); 
         $c40= post('c40'); 
         $c41= post('c41'); 
		 
		 $c18=$c1+$c8;
		 $c19=$c2+$c9;
		 $c20=$c40+$c11;
		 $c21=$c41+$c12;
		 $c27=round(($c1+$c2)/2);//viaveis  teste1  VAI SALVAR
		 $c28=round(($c40+$c41)/2);//viaveis teste 2
		 //$c34=round((($c1-$c8)+($c2-$c9))/2);//viaveis - inviaveis  depois pega a media 
		 //$c35=round((($c40-$c11)+($c41-$c12))/2);//viaveis - inviaveis  depois pega a media 
         if($nSementes==200):
		   printMSG('Quando  o teste for realizado com 200 sementes ajustar para aparecer no 2º teste –N-','alerta');		
           $c40='-N-';
           $c41='-N-';
           $c11='-N-';
           $c12='-N-';
           $c20='-N-';
           $c21='-N-';
           $c28='-N-';
           $c35='-N-';
           $c37='-N-';
		 
		 endif;

         $concatenado1=$c1."]".$c2."]".$c3."]".$c4."]".$c5."]".$c6."]".$c7."]".$c8."]".$c9."]".$c10."]";
         $concatenado2=$c11."]".$c12."]".$c13."]".$c14."]".$c15."]".$c16."]".$c17."]".$c18."]".$c19."]".$c20."]";
         $concatenado3=$c21."]".$c22."]".$c23."]".$c24."]".$c25."]".$c26."]".$c27."]".$c28."]".$c29."]".$c30."]";
         $concatenado4=$c31."]".$c32."]".$c33."]".$c34."]".$c35."]".$c36."]".$c37."]".$c38."]".$c39."]".$c40."]".$c41."]".$solucao."]";
		 
		 
		 
		 $sql="update rean1 set 
		 rea_v1='$solucao', 
		 rea_datageralteste='$dataHoje', 
		 rea_operador='$nomeOperador', 
		 rea_duracao='$nSementes', 
		 rea_v1='$c27', 
		 rea_campo60a='$concatenado1', 
		 rea_campo60b='$concatenado2', 
		 rea_campo60c='$concatenado3', 
		 rea_campo100='$concatenado4' 
         where rea_id=".$reanLong;
			   $generica->grava_registro_com_retorno($sql); 
			   //grava ocorrencia
		   //printMSG('Gravou Ok.'.$sql, 'alerta');	
		   printMSG('Gravou Ok.', 'alerta');	
	  endif;	 
		 
	
	

	
	 		
			//captura os dados da amostra
			$userAmostra = new amostras();
			$userAmostra->extras_select =  " where fic_id=".$amostraLong;  //fucnciona perfeito
			$userAmostra->selecionaCampos($userAmostra);
			while ($resAmostra = $userAmostra->retornaDados()):
			    $amostraLong=$resAmostra->fic_id;
			    $idCultivar=$resAmostra->fic_cultivar;
			    $idProdutor=$resAmostra->fic_produtor;
			    $ultima=$resAmostra->fic_amostra;
				if($finalidade=='DEFINITIVA'):
			       $amostra=$resAmostra->fic_amostra;
				else:
			       $amostra=$resAmostra->fic_amostra_previa;
				endif; 
				$lote=$resAmostra->fic_lote;
			endwhile;		
			echo '<h2>Cálculo de TETRAZOLIO FORRAGEIRAS. Amostra:'. $amostra.  ' Espécie:'. $especie. '</h2>';
 
			if (post('bt_imprimir') !== ""):
	            echo '<iframe src="imprimefichaEMERGENCIA.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
            endif;
	 
	     if($c36=="S"):
            $chequeAssinadoRas1='checked';		 
            $chequeAssinadoRas2='';		 
		 else:
            $chequeAssinadoRas2='checked';		 
            $chequeAssinadoRas1='';		 
		 endif;
	 

	?>
	                 
    <form class="userform" method="POST" action="">
	id<input type="text" name="reanLong" value=<?php echo $reanLong ?> size=5 />
    <table bgcolor="white"  cellpadding="5" cellspacing="5" bordercolor="red" border="3" width="1000">
	<tr>
     <td align="center" bgcolor="white">
	 Teste realizado em
	 </td>
	 <td align="center" bgcolor="white">	<input type="text"  name="nSementes" maxlength="5" size="1" value="<?php echo $nSementes;?>"/>	 </td>	
     <td align="center" bgcolor="white">	 Sementes	 </td>	
     <td align="center" bgcolor="white">	 Solução(%)	 </td>	
     <td align="center" bgcolor="white">	<input type="text"  name="solucao" maxlength="5" size="1" value="<?php echo $solucao;?>"/>		 </td>	
     <td align="center" bgcolor="white">	 -	 </td>	
     <td align="center" bgcolor="white">	 Repetições	 </td>	
     <td align="center" bgcolor="white">	 --1--	 </td>	
     <td align="center" bgcolor="white">	 --2--	 </td>	
     <td align="center" bgcolor="white">	 --1--	 </td>	
     <td align="center" bgcolor="white">	 --2--	 </td>	
     <td align="center" bgcolor="white">	  % Meédia 400	 </td>	
	
	</tr>

<!--SEGUNDA LINHA-->
	<tr>
     <td align="center" bgcolor="silver">Pré Condicionamento </td>	
     <td align="center" bgcolor="white"> Data Entr </td>	
	 <td align="center" bgcolor="white">  Hora Entr. </td>	
     <td align="center" bgcolor="white">Data Saida</td>	
	 <td align="center" bgcolor="white">Hora Saida</td>	
	 <td align="center" bgcolor="white">TºC       </td>	
     <td align="center" bgcolor="white">	NºSementes viaveis</td>	
     <td align="center" bgcolor="white"><input type="text"  name="c1" maxlength="3" size="1" value="<?php echo $c1;?>"/></td>	
     <td align="center" bgcolor="white"><input type="text"  name="c2" maxlength="3" size="1" value="<?php echo $c2;?>"/></td>	
     <td align="center" bgcolor="white"><input type="text"  name="c40" maxlength="3" size="1" value="<?php echo $c40;?>"/></td>	
     <td align="center" bgcolor="white"><input type="text"  name="c41" maxlength="3" size="1" value="<?php echo $c41;?>"/></td>	
     <td align="center" bgcolor="white">	Sementes: </td>	
	</tr>

<!--TERCEIRA LINHA-->
	<tr>
     <td align="center" bgcolor="">	 1º Teste	 </td>	
     <td align="center" bgcolor="white"><input type="text"  name="c3" maxlength="10" size="5" value="<?php echo $c3;?>"/>	 	 </td>	
     <td align="center" bgcolor="white"><input type="text"  name="c4" maxlength="5" size="3" value="<?php echo $c4;?>"/>      </td>	
     <td align="center" bgcolor="white"><input type="text"  name="c5" maxlength="10" size="5" value="<?php echo $c5;?>"/>	 	 </td>	
     <td align="center" bgcolor="white"><input type="text"  name="c6" maxlength="5" size="3" value="<?php echo $c6;?>"/>      </td>	
	 <td align="center" bgcolor="white"><input type="text"  name="c7" maxlength="3" size="1" value="<?php echo $c7;?>"/> </td>	
     <td align="center" bgcolor="white">	NºSementes Não viaveis	 </td>	
     <td align="center" bgcolor="white">	<input type="text"  name="c8" maxlength="3" size="1" value="<?php echo $c8;?>"/>	 </td>	
     <td align="center" bgcolor="white">	<input type="text"  name="c9" maxlength="3" size="1" value="<?php echo $c9;?>"/>	 </td>	
     <td align="center" bgcolor="white">	<input type="text"  name="c11" maxlength="3" size="1" value="<?php echo $c11;?>"/>	 </td>	
     <td align="center" bgcolor="white">	<input type="text"  name="c12" maxlength="3" size="1" value="<?php echo $c12;?>"/>	 </td>	
     <td align="center" bgcolor="white">	Dentro do limite:	 </td>	
	</tr>

<!--QUARTA LINHA-->
	<tr>
     <td align="center" bgcolor="">	 2º Teste	 </td>	
     <td align="center" bgcolor="white"><input type="text"  name="c13" maxlength="10" size="5" value="<?php echo $c13;?>"/>	 </td>	
	 <td align="center" bgcolor="white"><input type="text"  name="c14" maxlength="5" size="3" value="<?php echo $c14;?>"/>	 </td>	
     <td align="center" bgcolor="white"><input type="text"  name="c15" maxlength="10" size="5" value="<?php echo $c15;?>"/>	 </td>	
	 <td align="center" bgcolor="white"> <input type="text"  name="c16" maxlength="5" size="3" value="<?php echo $c16;?>"/>	 </td>	
  	 <td align="center" bgcolor="white"> <input type="text"  name="c17" maxlength="3" size="1" value="<?php echo $c17;?>"/>	 </td>	
     <td align="center" bgcolor="white">	NºTotal de sementes	 </td>	
     <td align="center" bgcolor="white">   <?php echo $c18;?>	 </td>	
     <td align="center" bgcolor="white">	<?php echo $c19;?>		 </td>	
     <td align="center" bgcolor="white">	<?php echo $c20;?>	 </td>	
     <td align="center" bgcolor="white">    <?php echo $c21;?>	 </td>	
     <td align="center" bgcolor="white">	Tabela Tolerancia 18.15	 </td>	
	</tr>

<!--QUINTA LINHA-->
	<tr>
     <td align="center" bgcolor="silver">Condicionamento </td>	
     <td align="center" bgcolor="white"> Data Entr </td>	
	 <td align="center" bgcolor="white">  Hora Entr. </td>	
     <td align="center" bgcolor="white">Data Saida</td>	
	 <td align="center" bgcolor="white">Hora Saida</td>	
	 <td align="center" bgcolor="white">TºC       </td>	
     <td align="center" bgcolor="white">	$ media Sementes</td>	
     <td align="center" bgcolor="white"> <?php echo $c27;?>   </td>	
     <td align="center" bgcolor="white"> - </td>	
     <td align="center" bgcolor="white"> 	<?php echo $c28;?> </td>	
     <td align="center" bgcolor="white">-	 </td>	
     <td align="center" bgcolor="white">	(RAS) </td>	
	</tr>

<!--SEXXTA LINHA-->
	<tr>
     <td align="center" bgcolor="">	 1º Teste	 </td>	
     <td align="center" bgcolor="white"><input type="text"  name="c22" maxlength="10" size="5" value="<?php echo $c22;?>"/></td>	
     <td align="center" bgcolor="white">	<input type="text"  name="c23" maxlength="5" size="3" value="<?php echo $c23;?>"/></td>	
     <td align="center" bgcolor="white">	<input type="text"  name="c24" maxlength="10" size="5" value="<?php echo $c24;?>"/> </td>	
     <td align="center" bgcolor="white">	<input type="text"  name="c25" maxlength="5" size="3" value="<?php echo $c25;?>"/></td>	
	 <td align="center" bgcolor="white"> <input type="text"  name="c26" maxlength="3" size="1" value="<?php echo $c26;?>"/> </td>	
     <td align="center" bgcolor="white">	Viaveis	 </td>	
     <td align="center" bgcolor="white"> 	-</td>	
     <td align="center" bgcolor="white"> 	- </td>	
     <td align="center" bgcolor="white">	- </td>	
     <td align="center" bgcolor="white"> 	- </td>	
     <td align="center" bgcolor="white">	Dentro:
	                                        S<input type="radio" name="c36" value="S"   <?php echo $chequeAssinadoRas1; ?>   >
	                                        N<input type="radio" name="c36" value="N"   <?php echo $chequeAssinadoRas2; ?>   >
	                                        <!--S<input type="text"  name="c36" maxlength="5" size="1" value="<?php echo $c36;?>"/
	                                        N<input type="text"  name="c38" maxlength="5" size="1" value="<?php echo $c38;?>"/> >-->
 	 </td>	
	</tr>

<!--SETIMA LINHA-->
	<tr>
     <td align="center" bgcolor="">	 2º Teste	 </td>	
     <td align="center" bgcolor="white"> <input type="text"  name="c29" maxlength="10" size="5" value="<?php echo $c29;?>"/></td>	
     <td align="center" bgcolor="white"> <input type="text"  name="c30" maxlength="5" size="3" value="<?php echo $c30;?>"/></td>	
     <td align="center" bgcolor="white">	<input type="text"  name="c31" maxlength="10" size="5" value="<?php echo $c31;?>"/></td>	
     <td align="center" bgcolor="white">	<input type="text"  name="c32" maxlength="5" size="3" value="<?php echo $c32;?>"/></td>	
	 <td align="center" bgcolor="white"> 	<input type="text"  name="c33" maxlength="3" size="1" value="<?php echo $c33;?>"/></td>	
     <td align="center" bgcolor="white">	% SVV	 </td>	
     <td align="center" bgcolor="white"> 	<input type="text"  name="c34" maxlength="3" size="1" value="<?php echo $c34;?>"/></td>	
     <td align="center" bgcolor="white">- </td>	
     <td align="center" bgcolor="white"> 	<input type="text"  name="c35" maxlength="3" size="1" value="<?php echo $c35;?>"/></td>
     <td align="center" bgcolor="white">-	 </td>	

 
	</tr>

	</table>
    <td>
	Analista: <?php echo $analista;?>
	Data:<?php echo $dataTZF;?>
	<input type="submit" name="bt_calcularegravar"   value="Calcular/Gravar" />
	
	</td>
	                
					</form> 
					
       <?php 		 
    break;






	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>